%define module pyasn1

%bcond_with doc

Name:           python-%{module}
Version:        0.4.8
Release:        %mkrel 6
Summary:        ASN.1 types and codecs
License:        BSD
Group:          Development/Python
Url:            http://snmplabs.com/pyasn1/index.html
Source:         https://pypi.io/packages/source/p/pyasn1/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
This is an implementation of ASN.1 types and codecs in Python programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%package -n python3-%{module}
Summary:        ASN.1 types and codecs
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%if %{with doc}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
%endif
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This is an implementation of ASN.1 types and codecs in Python 3 programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with doc}
make -C docs html
%endif

%install
%py3_install

%check
# PYTHONPATH is required because the the tests expect python{,3}-pyasn1
# to be installed.
PYTHONPATH="$RPM_BUILD_ROOT%{python3_sitelib}:$PYTHONPATH" %{__python3} setup.py test

%files -n python3-%{module}
%doc CHANGES.rst LICENSE.rst README.md TODO.rst
%if %{with doc}
%doc docs/build/html
%endif
%{python3_sitelib}/*


%changelog
* Thu Mar 17 2022 kekepower <kekepower> 0.4.8-6.mga9
+ Revision: 1797246
- Bump rel to build on aarch64

* Sun Feb 06 2022 wally <wally> 0.4.8-5.mga9
+ Revision: 1772456
- rebuild for python3.10

* Thu Mar 18 2021 neoclust <neoclust> 0.4.8-3.mga9
+ Revision: 1704453
- Rebuild against python 3.9

* Thu Feb 20 2020 umeabot <umeabot> 0.4.8-2.mga8
+ Revision: 1546120
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 0.4.8-1.mga8
+ Revision: 1486039
- new version: 0.4.8

* Wed Sep 04 2019 wally <wally> 0.4.7-1.mga8
+ Revision: 1437369
- new version 0.4.7
- drop python2 support
- rebuild for python3.8

* Wed Jan 09 2019 shlomif <shlomif> 0.4.5-3.mga7
+ Revision: 1353212
- Rebuild for python3 3.7

* Sat Jan 05 2019 wally <wally> 0.4.5-2.mga7
+ Revision: 1349607
- rebuild for python3.7 without docs

* Mon Dec 31 2018 luigiwalser <luigiwalser> 0.4.5-1.mga7
+ Revision: 1347674
- 0.4.5
- update URL

* Thu Sep 20 2018 umeabot <umeabot> 0.4.2-2.mga7
+ Revision: 1289760
- Mageia 7 Mass Rebuild

* Wed Mar 21 2018 kekepower <kekepower> 0.4.2-1.mga7
+ Revision: 1210931
- Update to version 0.4.2
- Fixed building of docs

* Sun Sep 24 2017 daviddavid <daviddavid> 0.3.2-2.mga7
+ Revision: 1158717
- rename python-pyasn1 to python2-pyasn1
- add BR python(3)-sphinx to fix build

* Sat Aug 05 2017 guillomovitch <guillomovitch> 0.3.2-1.mga7
+ Revision: 1135126
- new version 0.3.2

* Sat Feb 20 2016 umeabot <umeabot> 0.1.9-2.mga6
+ Revision: 972279
- Mageia 6 Mass Rebuild

* Sun Nov 01 2015 philippem <philippem> 0.1.9-1.mga6
+ Revision: 897118
- update to 0.1.9

* Wed Oct 07 2015 ovitters <ovitters> 0.1.8-2.mga6
+ Revision: 887125
- rebuild for new python3

* Sun Sep 13 2015 fwang <fwang> 0.1.8-1.mga6
+ Revision: 878899
- 0.1.8

* Wed Oct 15 2014 umeabot <umeabot> 0.1.7-11.mga5
+ Revision: 749407
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.7-10.mga5
+ Revision: 729365
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.7-9.mga5
+ Revision: 688233
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.1.7-8.mga5
+ Revision: 628919
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.1.7-7.mga4
+ Revision: 543927
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.1.7-6.mga4
+ Revision: 499136
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 0.1.7-5.mga4
+ Revision: 491655
+ rebuild (emptylog)

* Wed Aug 07 2013 philippem <philippem> 0.1.7-4.mga4
+ Revision: 464308
- add rename directive to remove pyasn1 package

* Wed Jul 31 2013 philippem <philippem> 0.1.7-3.mga4
+ Revision: 461858
- Add Python 3

* Tue Jul 30 2013 fwang <fwang> 0.1.7-2.mga4
+ Revision: 461245
- should be noarch package

* Tue Jul 30 2013 spuhler <spuhler> 0.1.7-1.mga4
+ Revision: 461240
- upgrade to ver 1.6.7
- changed the build to use macros

* Sun Feb 17 2013 spuhler <spuhler> 0.1.6-5.mga3
+ Revision: 398840
- bumped rel

* Sat Feb 16 2013 spuhler <spuhler> 0.1.6-4.mga3
+ Revision: 398700
- removed Obsoletes:  python-asn1 <= 0.1.6-1
  corrected spelling Provides: python-pyasn1 = %%{version}

* Sat Feb 09 2013 spuhler <spuhler> 0.1.6-3.mga3
+ Revision: 397625
- bumped rel
- updated Obsoletes version number

* Fri Feb 08 2013 spuhler <spuhler> 0.1.6-2.mga3
+ Revision: 395278
- replaced BuildRequires: python-distribute with python-pkg-resources

* Sat Jan 26 2013 spuhler <spuhler> 0.1.6-1.mga3
+ Revision: 392328
- cleaned up spec file
- imported package python-pyasn1

